package com.fos.modules.userOrder.entity;

import java.util.Date;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class UserPreNumEntity extends BaseEntity{

	@JSONField(name="orderFoodId")    
	private long orderFoodId;
	
	@JSONField(name="updateTimeA") 
	private long updateTimeA;   //用户更新时间
	
	@JSONField(name="updateTimeB") 
	private long updateTimeB;   //订单更新时间
	
	@JSONField(name="createTimeA") 
	private long createTimeA;    //用户创建时间
	
	@JSONField(name="createTimeB") 
	private long createTimeB;    //订单创建时间
	
	@JSONField(name="code")
	private String code;     //订单号

	@JSONField(name="status")
	private int status;       //订单状态
	
	
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public long getUpdateTimeA() {
		return updateTimeA;
	}
	public void setUpdateTimeA(long updateTimeA) {
		this.updateTimeA = updateTimeA;
	}
	public long getUpdateTimeB() {
		return updateTimeB;
	}
	public void setUpdateTimeB(long updateTimeB) {
		this.updateTimeB = updateTimeB;
	}
	public long getCreateTimeA() {
		return createTimeA;
	}
	public void setCreateTimeA(long createTimeA) {
		this.createTimeA = createTimeA;
	}
	public long getCreateTimeB() {
		return createTimeB;
	}
	public void setCreateTimeB(long createTimeB) {
		this.createTimeB = createTimeB;
	}
	public long getOrderFoodId() {
		return orderFoodId;
	}
	public void setOrderFoodId(long orderFoodId) {
		this.orderFoodId = orderFoodId;
	}
	
}
